FourLetterWordMain (ZooKeeper 3.4.10 API)
Date: 2017-03-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper.client
Class FourLetterWordMain

    java.lang.Object
      org.apache.zookeeper.client.FourLetterWordMain

    public class FourLetterWordMain

extends Object

Constructor Summary
`FourLetterWordMain()`

Method Summary
`static void` | `main(String[] args)`
`static String` | `send4LetterWord(String host, int port, String cmd)` Send the 4letterword
`static String` | `send4LetterWord(String host, int port, String cmd, int timeout)` Send the 4letterword

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FourLetterWordMain

    public FourLetterWordMain()

Method Detail

### send4LetterWord

    public static String send4LetterWord(String host,
                                         int port,
                                         String cmd)
                                  throws IOException

  Send the 4letterword

  Parameters:
    `host` - the destination host
    `port` - the destination port
    `cmd` - the 4letterword
  Returns:
    server response
  Throws:
    `IOException`

### send4LetterWord

    public static String send4LetterWord(String host,
                                         int port,
                                         String cmd,
                                         int timeout)
                                  throws IOException

  Send the 4letterword

  Parameters:
    `host` - the destination host
    `port` - the destination port
    `cmd` - the 4letterword
    `timeout` - in milliseconds, maximum time to wait while connecting/reading data
  Returns:
    server response
  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2017 The Apache Software Foundation